yast2-ncurses: NCMultiLineEdit Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCMultiLineEdit Class Reference

`#include <NCMultiLineEdit.h>`

Inheritance diagram for NCMultiLineEdit:

List of all members.

## Public Member Functions
| NCMultiLineEdit (NCWidget *parent, const YWidgetOpt &opt, const YCPString &label, const YCPString &initialText)
virtual | ~NCMultiLineEdit ()
virtual long | nicesize (YUIDimension dim)
virtual void | setSize (long newwidth, long newheight)
virtual void | setLabel (const YCPString &nlabel)
virtual void | setText (const YCPString &ntext)
virtual YCPString | text ()
virtual NCursesEvent | wHandleInput (wint_t key)
virtual void | setEnabling (bool do_bv)
virtual bool | setKeyboardFocus ()
## Protected Member Functions
virtual const char * | location () const
virtual void | wRedraw ()
virtual NCPad * | CreatePad ()
virtual void | DrawPad ()
## Protected Attributes
NCTextPad *& | pad
## Private Member Functions
NCMultiLineEdit & | operator= (const NCMultiLineEdit &)
| NCMultiLineEdit (const NCMultiLineEdit &)
## Private Attributes
NCstring | ctext
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCMultiLineEdit &OBJ)

## Constructor & Destructor Documentation

NCMultiLineEdit::NCMultiLineEdit | ( | const NCMultiLineEdit & |  | ) | `[private]`

NCMultiLineEdit::NCMultiLineEdit | ( | NCWidget * | parent,
|  | const YWidgetOpt & | opt,
|  | const YCPString & | label,
|  | const YCPString & | initialText
| ) |

NCMultiLineEdit::~NCMultiLineEdit | ( |  | ) | `[virtual]`

## Member Function Documentation

NCPad * NCMultiLineEdit::CreatePad | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

void NCMultiLineEdit::DrawPad | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

virtual const char* NCMultiLineEdit::location | ( |  | ) | const`[inline, protected, virtual]`

| Reimplemented from NCPadWidget.

long NCMultiLineEdit::nicesize | ( | YUIDimension | dim | ) | `[virtual]`

| Implements YWidget.

NCMultiLineEdit& NCMultiLineEdit::operator= | ( | const NCMultiLineEdit & |  | ) | `[private]`

virtual void NCMultiLineEdit::setEnabling | ( | bool | do_bv | ) | `[inline, virtual]`

| Pure virtual to make shure every widget implements it. Necessary to make shure that UI requests via YWidget::setEnabling perform, and behave the same way as direct calls to NCWidget::setEnabling. Defaut implementation is provided, and for most derived widgets it's ok to simply use it. Reimplemented from NCPadWidget.

virtual bool NCMultiLineEdit::setKeyboardFocus | ( |  | ) | `[inline, virtual]`

| Reimplemented from YWidget.

void NCMultiLineEdit::setLabel | ( | const YCPString & | nlabel | ) | `[virtual]`

| Reimplemented from YMultiLineEdit.

void NCMultiLineEdit::setSize | ( | long | newwidth,
|  | long | newheight
| ) | `[virtual]`

| Reimplemented from YWidget.

void NCMultiLineEdit::setText | ( | const YCPString & | ntext | ) | `[virtual]`

| Implements YMultiLineEdit.

YCPString NCMultiLineEdit::text | ( |  | ) | `[virtual]`

| Implements YMultiLineEdit.

NCursesEvent NCMultiLineEdit::wHandleInput | ( | wint_t | key | ) | `[virtual]`

| Reimplemented from NCWidget.

void NCMultiLineEdit::wRedraw | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCMultiLineEdit & | OBJ
| ) | `[friend]`

## Member Data Documentation

NCstring NCMultiLineEdit::ctext`[private]`

NCTextPad*& NCMultiLineEdit::pad`[protected]`

| Reimplemented from NCPadWidget.

The documentation for this class was generated from the following files:

- NCMultiLineEdit.h
- NCMultiLineEdit.cc